Raspberry Stretch Support

Discussions about Z-Way software and Z-Wave technology in general
aliyahbrown
Posts: 1
Joined: 14 Jun 2018 12:51

Re: Raspberry Stretch Support

Post by aliyahbrown » 14 Jun 2018 12:53

This is exactly what I’ve been looking for. It solved very quickly the problem I was having.

temp
Posts: 13
Joined: 27 May 2018 12:52

Re: Raspberry Stretch Support

Post by temp » 15 Jun 2018 09:25

aliyahbrown wrote:
14 Jun 2018 12:53
This is exactly what I’ve been looking for. It solved very quickly the problem I was having.
How???

DJay
Posts: 8
Joined: 11 Dec 2015 12:18

Re: Raspberry Stretch Support

Post by DJay » 28 Jun 2018 10:11

Hi Guys, I hope you can help and appreciate the time you are investing.

I'm using a Raspberry Pi 3 B+
PRETTY_NAME="Raspbian GNU/Linux 9 (stretch)"
NAME="Raspbian GNU/Linux"
VERSION_ID="9"
VERSION="9 (stretch)"
ID=raspbian

I installed

Code: Select all

wget -q -O - support.zwave.eu/libs | sudo bash
then

Code: Select all

wget -q -O - razberry.z-wave.me/install | sudo bash
I can reach the login of Z-Wave but when I try to add a device I always get an error popup.
SmartHome UI - ERROR
Unable to load data
Also switching to ExpertUI shows up an Error message.
Z-Wave Expert UI - ERROR
Communication or binding error! Please login again or check system connectivity.

Adding or excluding a device doesn't work and besides the the error messages it's doing nothing. :(

When I run again

Code: Select all

wget -q -O - support.zwave.eu/libs | sudo bash
I now only get the Message "Raspbian Stretch system detected"

I hope you can help a newbie to get z-wave to work.
Thank you very much in advance.
Attachments
Bildschirmfoto 2018-06-27 um 22.16.39.png
Bildschirmfoto 2018-06-27 um 22.16.39.png (34 KiB) Viewed 749 times
Bildschirmfoto 2018-06-27 um 22.17.30.png
Bildschirmfoto 2018-06-27 um 22.17.30.png (69.53 KiB) Viewed 749 times
Bildschirmfoto 2018-06-27 um 22.18.19.png
Bildschirmfoto 2018-06-27 um 22.18.19.png (52.68 KiB) Viewed 749 times

User avatar
Z-Wave Support
Posts: 352
Joined: 21 Oct 2016 15:49

Re: Raspberry Stretch Support

Post by Z-Wave Support » 03 Jul 2018 15:48

Hello,

We have investigated the problem.
We think, we have found the issue.

Please start following command with SSH and try again.

Code: Select all

(sudo apt-get -qy install libarchive13) && (sudo ln -s /usr/lib/arm-linux-gnueabihf/libarchive.so.13 /usr/lib/arm-linux-gnueabihf/libarchive.so.12)

Code: Select all

sudo reboot
Best regards
Z-Wave Support

michelknops
Posts: 1
Joined: 05 Jul 2018 15:16

Re: Raspberry Stretch Support

Post by michelknops » 05 Jul 2018 15:22

I run the exact same setup and executed your suggested instructions, here is what I get:

pi@raspberrypi3:~ $ (sudo apt-get -qy install libarchive13) && (sudo ln -s /usr/lib/arm-linux-gnueabihf/libarchive.so.13 /usr/lib/arm-linux-gnueabihf/libarchive.so.12)
Reading package lists...
Building dependency tree...
Reading state information...
libarchive13 is already the newest version (3.2.2-2).
libarchive13 set to manually installed.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
ln: failed to create symbolic link '/usr/lib/arm-linux-gnueabihf/libarchive.so.12': File exists

Thanks for assisting further.

Kind regards,

Michel.

User avatar
PoltoS
Posts: 4334
Joined: 26 Jan 2011 19:36

Re: Raspberry Stretch Support

Post by PoltoS » 07 Jul 2018 04:55

Please try to re-install. We have fixed this

Post Reply